
#nav-container {
    ul {
        padding-left: 0;
        list-style: none;
    }

    > .nav-wrapper {
        position: relative;
        width: 100%;
        height: 100%;
    }
}

// 
.nav-container {
    .md-button {
        text-align: left;
        min-width: 20px;
        text-transform: none;
        border-radius: 0;
    }    
    .nav {
        margin: 0;
        padding: 0;
        -webkit-overflow-scrolling: touch;
        -webkit-overflow-scrolling: -blackberry-touch;

        .nav-title {
            margin: 15px 15px 10px;
            font-size: $font-size-small;
        }

        .divider {
            margin: 10px 0;
            border-width: 1px;
            border-style: solid;
        }

        >li>a>i,
        >li>a>.nav-icon {
            display: inline-block;
            margin-right: 10px;
            width: 20px;
            line-height: $line-height-computed;
            text-align: center;
            font-size: 16px;
            @include transition(all $nav-transition_duration ease-in-out);
        }

        a {
            font-size: 13px;
            @include transition(all $nav-transition_duration ease-in-out);
            &:hover,
            &:focus,
            &:active {
                text-decoration: none;
            }
        }

        >li {
            position: relative;
            margin: 0;
            text-align: left;
            font-weight: bold;
            @include transition(all $nav-transition_duration ease-in-out);

            &:first-child > a {
                border-top: 0;
            }
            >a {
                position: relative;
                display: block;
                padding: 15px 15px;
                @include transition(all $nav-transition_duration ease-in-out);

                .badge {
                    position: absolute;
                    top: 16px;
                    right: 8px;
                }
            }

            > .icon-has-ul-h { // icon for horizontal nav
                display: none; 
            }

            > .icon-has-ul { // icon for default vertical nav
                position: absolute;
                top: 15px;
                right: 15px;
                font-size: 10px;
                line-height: 19px;
            }
        }

        // sub menu
        ul {
            display: none;

            a {
                font-size: 13px;
            }

            li {
                position: relative;
                padding: 0;

                &:last-child > a {
                    border-bottom: 0;
                }

                > a {
                    position: relative;
                    display: block;
                    padding: 13px 0 13px 25px;
                    @include transition(all $nav-transition_duration ease-in-out);
                    &:first-child {
                        border-top: none;
                    }

                    > i {
                        font-size: 9px;
                        margin-right: 16px;
                    }

                    > .badge {
                        position: absolute;
                        right: 8px;
                        top: 12px;
                    }
                }
            }
        }
    }
}



